#!/usr/bin/bash
DIR="$( cd "$( dirname "$0" )" && pwd )"
QT5_DIR="$HOME/Qt5"
QT5_VER='5.6/gcc_64'

#rm -r "$DIR/lib"
#rm -r "$DIR/plugins"
#rm -r "$DIR/translations"
exit 0
mkdir -p "$DIR/lib"
mkdir -p "$DIR/plugins"

cp -a "$QT5_DIR/$QT5_VER"/lib/libicu* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Core.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5DBus.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Gui.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Network.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Multimedia.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5PrintSupport.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Svg.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Xml.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5Widgets.so* "$DIR/lib"
cp -a "$QT5_DIR/$QT5_VER"/lib/libQt5XcbQpa.so* "$DIR/lib"

cp -a "$QT5_DIR/$QT5_VER"/plugins/audio "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/bearer "$DIR/plugins/"
#cp -a "$QT5_DIR/$QT5_VER"/plugins/egldeviceintegrations "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/generic "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/iconengines "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/imageformats "$DIR/plugins/"
#cp -a "$QT5_DIR/$QT5_VER"/plugins/platforminputcontexts "$DIR/plugins/"
mkdir -p "$DIR/plugins/platforms"
cp -a "$QT5_DIR/$QT5_VER"/plugins/platforms/libqxcb.so "$DIR/plugins/platforms"
cp -a "$QT5_DIR/$QT5_VER"/plugins/platformthemes "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/printsupport "$DIR/plugins/"
cp -a "$QT5_DIR/$QT5_VER"/plugins/xcbglintegrations "$DIR/plugins/"

#cp -a "$QT5_DIR/$QT5_VER"/translations/qt_* "$DIR/translations/"
#cp -a "$QT5_DIR/$QT5_VER"/translations/qtmultimedia_* "$DIR/translations/"
#cp -a "$QT5_DIR/$QT5_VER"/translations/qtbase_* "$DIR/translations/"


